with (import <nixpkgs> {});
let
  asciidoctor_revealjs = bundlerApp {
    pname = "asciidoctor-revealjs";
    exes = [ "asciidoctor-revealjs" ];
    inherit ruby;
    gemdir = ./.;
  };

  revealjs = fetchFromGitHub {
    owner = "hakimel";
    repo = "reveal.js";
    rev = "3.8.0";
    sha256 = "14cva2hxdv4gxpz2a996qs8xhxffw97a90gkz2mmgdczh1kyn1sc";
  };

in derivation {
  name = "cours-cesi-git";
  builder = "${bash}/bin/bash";
  args = [ ./build.sh ];
  inherit asciidoctor asciidoctor_revealjs coreutils jre graphviz revealjs;
  src = ./src;
  images = ./images;
  system = builtins.currentSystem;
}

